%define native 0

Name:          snappy-java
Version:       1.0.3.2
Release:       %mkrel 1
Summary:       Snappy for Java
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/snappy-java/
Source0:       http://snappy-java.googlecode.com/files/snappy-java-1.0.3.2.tar.gz
# http://repo1.maven.org/maven2/org/xerial/sqlite-jdbc/3.7.2/sqlite-jdbc-3.7.2-sources.jar
Source1:       snappy-java-OSInfo.java
Source2:       http://snappy.googlecode.com/files/snappy-1.0.3.tar.gz
Patch0:        snappy-java-1.0.3.2-no-xerial-core.patch
Patch1:        snappy-java-1.0.3.2-felix.patch
Patch2:        snappy-java-1.0.3.2-Makefile_common.patch
Patch3:        snappy-java-1.0.3.2-nodowload.patch
Patch4:        snappy-java-1.0.3.2-maven.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

#BuildRequires: libstdc++-static-devel

BuildRequires: felix-osgi-core
BuildRequires: junit4
BuildRequires: plexus-classworlds

# TODO x test
# org.xerial xerial-core >= 1.0.21

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-wagon

Requires:      felix-osgi-core
Requires:      junit4
Requires:      plexus-classworlds

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
#BuildArch:     noarch

%description
Snappy for Java: A fast compression/decompression library.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n snappy-java-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

find -name "*.jar" -exec rm -f {} \;
find -name "*.dll" -exec rm -f {} \;
find -name "*.so" -exec rm -f {} \;
find -name "*.jnilib" -exec rm -f {} \;
find -name "*.class" -exec rm -f {} \;

%build

%if %native
mkdir -p osinfo-src/org/xerial/snappy
cp -pr %SOURCE1 osinfo-src/org/xerial/snappy/OSInfo.java
sed -i "s|package org.sqlite;|package org.xerial.snappy;|" osinfo-src/org/xerial/snappy/OSInfo.java
%javac -d lib osinfo-src/org/xerial/snappy/OSInfo.java
rm -rf osinfo-src
mkdir -p target 
tar xvfz %SOURCE2 -C target
%make JAVA_HOME=%{_jvmdir}/java JAVA=%{_jvmdir}/java/bin/java JAVAC==%{_jvmdir}/java/bin/javac JAVAH=%{_jvmdir}/java/bin/javah
%endif

mvn-rpmbuild \
  -e \
  -Dmaven.test.skip=true \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_jnidir}
install -pm 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_jnidir}/%{name}.jar

# APIDOCS
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}/
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_to_maven_depmap org.xerial.snappy %{name} %{version} JPP %{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_jnidir}/%{name}.jar
%doc INSTALL LICENSE NOTICE README

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Oct 29 2011 dmorgan <dmorgan> 1.0.3.2-1.mga2
+ Revision: 159365
- Disable native build

  + gil <gil>
    - rebuilt with native libraries
    - imported package snappy-java

